打印

memcached 安装失败 libevent

memcached 安装失败 libevent

win7 64, vm12虚拟机,  centos6.5  安装memcached  ./addons.sh install memcached  选2  Enter, 然后就checking for libevent directory... configure: error: libevent is required.  You can get it from http://www.monkey.org/~provos/libevent/      If it's already installed, specify its path using --with-libevent=/dir/Starting memcached: /etc/init.d/memcached: line 32: /usr/local/memcached/bin/memcached: 没有那个文件或目录 在虚拟机搭lnmp环境,这是啥玩意?是没装libevent吗?咋改?
附件: 您所在的用户组无法下载或查看附件

TOP

lnmp1.4-full.完整版的 php5.5.38

[ 本帖最后由 ADFNF 于 2017-11-12 15:29 编辑 ]

TOP

安装日志和安装扩展没关系,需要提供安装扩展过程中的信息

TOP

我的安装命令:
[root@localhost lnmp1.4-full]# ./addons.sh install memcached  
然后选2 memcached然后就一直编译安装,没别的操作
附件是memcache安装过程日志,军哥,是提供这个信息吗?
查看扩展
[root@localhost lnmp1.4-full]# php -m(没有memcached)
[PHP Modules]
bcmath
Core
ctype
curl
date
dom
ereg
filter
ftp
gd
gettext
hash
iconv
intl
json
libxml
mbstring
mcrypt
mhash
mysql
mysqli
mysqlnd
openssl
pcntl
pcre
PDO
pdo_mysql
pdo_sqlite
Phar
posix
redis
Reflection
session
shmop
SimpleXML
soap
sockets
SPL
sqlite3
standard
sysvsem
tokenizer
xml
xmlreader
xmlrpc
xmlwriter
xsl
Zend Guard Loader
zip
zlib

[Zend Modules]
Zend Guard Loader


没有memcached,但是phpinfo里面有memcached(很不科学)。

然后centos reboot重启,然后phpinfo里面的memcached就没有了
php-m 依然看不到memcached

[ 本帖最后由 ADFNF 于 2017-11-12 20:33 编辑 ]
附件: 您所在的用户组无法下载或查看附件

TOP

Error Downloading Packages:
  libevent-devel-1.4.13-4.el6.i686: failure: Packages/libevent-devel-1.4.13-4.el6.i686.rpm from c6-media: [Errno 256] No more mirrors to try.
  libevent-doc-1.4.13-4.el6.noarch: failure: Packages/libevent-doc-1.4.13-4.el6.noarch.rpm from c6-media: [Errno 256] No more mirrors to try.
  libevent-headers-1.4.13-4.el6.noarch: failure: Packages/libevent-headers-1.4.13-4.el6.noarch.rpm from c6-media: [Errno 256] No more mirrors to try.

安装依赖包时源有问题,libevent依赖包没安装上

TOP

我用的光盘yum源,换张盘就好了,谢谢军哥

TOP